function Isomap_B1(k_value,srcDir,type)
%Contructs Residual error curve of the isomap of set of images 
%Parameters:
%    k_value : Value of 'k' in Isomap function
%    srcDir  : Source directory
%    type    : File type. (for example jpg)
%            : = jpg if nothing is given
    if(nargin < 1)
        k_value = 7;
    end    
    if(nargin < 2)
        srcDir = 'nao200';
    end
    if(nargin < 3)
        type = 'jpg';
    end
    
    [data, names] = loadImageData( srcDir, type);    
    d = L2_distance(data,data,0); 
    options.dims = 1:10;
    [Y,R,E] = Isomap(d,'k',k_value,options);
end
   